Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016639
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2011-04-05 11:102011-06-10 19:38
ReporteralostaleView Statuspublic 
Assigned Tothirumalaik 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision41dfd35d8c24
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016639: Exclude column from audit

DescriptionAudit trail is defined at table level. When a table is marked to be audited any change within it is stored in the audit trail. Sometimes there are tables to be audited with columns that doesn't make sense to keep.
Proposed Solution-By default, when a table is audited all its columns should be audited
-Add an exclude audit field to ad_column, when it is checked, this column is excluded from audit.
Tagscontrib
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00167063.0MP2 closedalostale Deletion not properly audited (missing window) 
related to defect 00167603.0MP3 closedjecharri Show audit info button is cached 
related to defect 0017609 acknowledgedplatform Code-review for issue: 16639 

-  Notes
(0036041)
hgbot (developer)
2011-04-20 11:38

Repository: erp/devel/pi
Changeset: 0b7613b265ef5ea23a65cf0f2d8f8a758df66d87
Author: Thirumalai Kandasami <thirumalai <at> qualian.in>
Date: Thu Apr 07 20:11:29 2011 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0b7613b265ef5ea23a65cf0f2d8f8a758df66d87 [^]

Fixed issue 16639:Exclude column from audit

---
M src-db/database/model/postscript-Oracle.sql
M src-db/database/model/postscript-PostgreSql.sql
M src-db/database/model/tables/AD_COLUMN.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_callouts/SL_TableAudit.java
---
(0036042)
hgbot (developer)
2011-04-20 11:38

Repository: erp/devel/pi
Changeset: 41dfd35d8c246889c4f4ab8496b9bbf9bc0e3e76
Author: Thirumalai Kandasami <thirumalai <at> qualian.in>
Date: Mon Apr 18 20:12:01 2011 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/41dfd35d8c246889c4f4ab8496b9bbf9bc0e3e76 [^]

Fixed issue 16639:Exclude column from Audit trail

---
M src-db/database/model/triggers/AD_COLUMN_MOD_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopup.java
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopupDeleted.html
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopupDeleted.xml
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopupHistory.html
M src/org/openbravo/erpCommon/businessUtility/AuditTrailPopupHistory.xml
---
(0036751)
hudsonbot (developer)
2011-05-12 13:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test
(0036752)
hudsonbot (developer)
2011-05-12 13:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test
(0038266)
shuehner (administrator)
2011-06-10 19:38

Reviewed+test on pi-mp0 (rev: bc96d042bfeb). Functionality works correctly and allows excluding individual columns from being fully audited for tables marked as such. AuditTrailPopup shows a hint in the message area to notify the user of those columns. However if older audit data includes those columns that data is still displayed (ok).
A few technical issues found in reviewing the code changes have been logged as a new issue (17609).

- Issue History
Date Modified Username Field Change
2011-04-05 11:10 alostale New Issue
2011-04-05 11:10 alostale Assigned To => alostale
2011-04-05 11:10 alostale Modules => Core
2011-04-05 11:10 alostale Tag Attached: contrib
2011-04-05 11:10 alostale Status new => scheduled
2011-04-05 11:10 alostale Assigned To alostale => thirumalaik
2011-04-05 11:10 alostale fix_in_branch => pi
2011-04-07 18:11 alostale Relationship added related to 0016706
2011-04-12 11:55 alostale Relationship added related to 0016760
2011-04-20 11:38 hgbot Checkin
2011-04-20 11:38 hgbot Note Added: 0036041
2011-04-20 11:38 hgbot Status scheduled => resolved
2011-04-20 11:38 hgbot Resolution open => fixed
2011-04-20 11:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0b7613b265ef5ea23a65cf0f2d8f8a758df66d87 [^]
2011-04-20 11:38 hgbot Checkin
2011-04-20 11:38 hgbot Note Added: 0036042
2011-04-20 11:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/0b7613b265ef5ea23a65cf0f2d8f8a758df66d87 [^] => http://code.openbravo.com/erp/devel/pi/rev/41dfd35d8c246889c4f4ab8496b9bbf9bc0e3e76 [^]
2011-05-12 13:26 hudsonbot Checkin
2011-05-12 13:26 hudsonbot Note Added: 0036751
2011-05-12 13:26 hudsonbot Checkin
2011-05-12 13:26 hudsonbot Note Added: 0036752
2011-06-10 19:34 shuehner Relationship added related to 0017609
2011-06-10 19:38 shuehner Note Added: 0038266
2011-06-10 19:38 shuehner Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker